package com.ruoyi.projectChbSwf.service;

import java.math.BigDecimal;
import java.util.List;
import com.ruoyi.projectChbSwf.domain.KzksProjectChbSwf;

/**
 * 事务费Service接口
 * 
 * @author yanxun
 * @date 2023-08-10
 */
public interface IKzksProjectChbSwfService 
{
    /**
     * 查询事务费
     * 
     * @param id 事务费主键
     * @return 事务费
     */
    public KzksProjectChbSwf selectKzksProjectChbSwfById(String id);

    /**
     * 查询事务费列表
     * 
     * @param kzksProjectChbSwf 事务费
     * @return 事务费集合
     */
    public List<KzksProjectChbSwf> selectKzksProjectChbSwfList(KzksProjectChbSwf kzksProjectChbSwf);

    /**
     * 新增事务费
     * 
     * @param kzksProjectChbSwf 事务费
     * @return 结果
     */
    public int insertKzksProjectChbSwf(KzksProjectChbSwf kzksProjectChbSwf);

    /**
     * 修改事务费
     * 
     * @param kzksProjectChbSwf 事务费
     * @return 结果
     */
    public int updateKzksProjectChbSwf(KzksProjectChbSwf kzksProjectChbSwf);

    /**
     * 批量删除事务费
     * 
     * @param ids 需要删除的事务费主键集合
     * @return 结果
     */
    public int deleteKzksProjectChbSwfByIds(String[] ids);

    /**
     * 删除事务费信息
     * 
     * @param id 事务费主键
     * @return 结果
     */
    public int deleteKzksProjectChbSwfById(String id);


    /**
     * 根据科研任务号获取事务费总和
     *
     * @param taskno 任务号
     * @return 结果
     */
    BigDecimal selectSwfByTaskno(String taskno);
}
